package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 乐团学员班级调整表
 * 对应数据库表(music_group_student_class_adjust):
 */
public class MusicGroupStudentClassAdjust {

	private Integer id;

	private String musicGroupId;

	@ApiModelProperty(value = "缴费项目批次号", required = false)
	private String batchNo;

	@ApiModelProperty(value = "班级明细", required = false)
	private String newClassGroupJson;

	@ApiModelProperty(value = "所选班级列表", required = false)
	private String classGroupIds;

	@ApiModelProperty(value = "所选学员列表", required = false)
	private String studentIds;

	@ApiModelProperty(value = "班级可排课时长", required = false)
	private String classCourseMinute;

	@ApiModelProperty(value = "主班剩余总时长", required = false)
	private Integer masterClassCourseTimes;

	@ApiModelProperty(value = "老师选择的每种类型的排课时长", required = false)
	private String defaultCourseTypeMinute;

	@ApiModelProperty(value = "所有冻结的课程列表", required = false)
	private String allLockCourseIds;

	@ApiModelProperty(value = "学员课程编号", required = false)
	private String studentPaymentIds;

	@ApiModelProperty(value = "所选学员冻结的课程列表", required = false)
	private String subLockCourseIds;

	@ApiModelProperty(value = "每个班级对应的学员", required = false)
	private String classGroupStudents;

	@ApiModelProperty(value = "学员的缴费详情", required = false)
	private String studentPaymentCalender;

	private Integer operatorId;

	@ApiModelProperty(value = "主班编号", required = false)
	private Integer masterClassGroupId;

	@ApiModelProperty(value = "主班剩余价值", required = false)
	private BigDecimal masterTotalPrice;

	private Date createTime;

	private Date updateTime;

	public BigDecimal getMasterTotalPrice() {
		return masterTotalPrice;
	}

	public void setMasterTotalPrice(BigDecimal masterTotalPrice) {
		this.masterTotalPrice = masterTotalPrice;
	}

	public Integer getMasterClassCourseTimes() {
		return masterClassCourseTimes;
	}

	public void setMasterClassCourseTimes(Integer masterClassCourseTimes) {
		this.masterClassCourseTimes = masterClassCourseTimes;
	}

	public Integer getMasterClassGroupId() {
		return masterClassGroupId;
	}

	public void setMasterClassGroupId(Integer masterClassGroupId) {
		this.masterClassGroupId = masterClassGroupId;
	}

	public String getStudentPaymentCalender() {
		return studentPaymentCalender;
	}

	public void setStudentPaymentCalender(String studentPaymentCalender) {
		this.studentPaymentCalender = studentPaymentCalender;
	}

	public String getDefaultCourseTypeMinute() {
		return defaultCourseTypeMinute;
	}

	public void setDefaultCourseTypeMinute(String defaultCourseTypeMinute) {
		this.defaultCourseTypeMinute = defaultCourseTypeMinute;
	}

	public String getClassGroupStudents() {
		return classGroupStudents;
	}

	public void setClassGroupStudents(String classGroupStudents) {
		this.classGroupStudents = classGroupStudents;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getClassGroupIds() {
		return classGroupIds;
	}

	public void setClassGroupIds(String classGroupIds) {
		this.classGroupIds = classGroupIds;
	}

	public String getStudentIds() {
		return studentIds;
	}

	public void setStudentIds(String studentIds) {
		this.studentIds = studentIds;
	}

	public String getClassCourseMinute() {
		return classCourseMinute;
	}

	public void setClassCourseMinute(String classCourseMinute) {
		this.classCourseMinute = classCourseMinute;
	}

	public String getAllLockCourseIds() {
		return allLockCourseIds;
	}

	public void setAllLockCourseIds(String allLockCourseIds) {
		this.allLockCourseIds = allLockCourseIds;
	}

	public String getSubLockCourseIds() {
		return subLockCourseIds;
	}

	public void setSubLockCourseIds(String subLockCourseIds) {
		this.subLockCourseIds = subLockCourseIds;
	}


	public String getStudentPaymentIds() {
		return studentPaymentIds;
	}

	public void setStudentPaymentIds(String studentPaymentIds) {
		this.studentPaymentIds = studentPaymentIds;
	}

	public String getNewClassGroupJson() {
		return newClassGroupJson;
	}

	public void setNewClassGroupJson(String newClassGroupJson) {
		this.newClassGroupJson = newClassGroupJson;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
